> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Product Filters Endpoint



## OpenAPI

````yaml /api-reference/openapi/portal.json post /api/v1/merchants/{merchant_id}/products/filters
openapi: 3.1.0
info:
  title: Depict Portal API
  version: 1.0.0
  description: >-
    REST API behind the Depict merchant portal: merchants, products,
    collections, curation, metrics, analytics and search insights. All endpoints
    require an Auth0-issued bearer token.
servers:
  - url: ''
security: []
paths:
  /api/v1/merchants/{merchant_id}/products/filters:
    post:
      tags:
        - Products
      summary: List Product Filters Endpoint
      operationId: >-
        list_product_filters_endpoint_api_v1_merchants__merchant_id__products_filters_post
      parameters:
        - name: merchant_id
          in: path
          required: true
          schema:
            type: string
            title: Merchant Id
        - name: locale
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Locale
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/ProductFiltersRequest'
              default:
                shopper_facing_only: false
              title: Request
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductFiltersResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0: []
components:
  schemas:
    ProductFiltersRequest:
      properties:
        locale_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Locale Id
        market_group_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Market Group Id
        filters:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/GenericFilterValue'
              type: object
            - type: 'null'
          title: Filters
        search:
          anyOf:
            - type: string
            - type: 'null'
          title: Search
        shopper_facing_only:
          type: boolean
          title: Shopper Facing Only
          default: false
      type: object
      title: ProductFiltersRequest
    ProductFiltersResponse:
      properties:
        available_filters:
          items:
            $ref: '#/components/schemas/DynamicAvailableFilter'
          type: array
          title: Available Filters
          default: []
      type: object
      title: ProductFiltersResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GenericFilterValue:
      properties:
        values:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Values
        paths:
          anyOf:
            - items:
                items:
                  type: string
                type: array
              type: array
            - type: 'null'
          title: Paths
        operator:
          type: string
          enum:
            - or
            - and
          title: Operator
          default: or
        min_value:
          anyOf:
            - type: number
            - type: 'null'
          title: Min Value
        max_value:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Value
      type: object
      title: GenericFilterValue
    DynamicAvailableFilter:
      properties:
        id:
          type: integer
          title: Id
        title:
          type: string
          title: Title
        field:
          type: string
          title: Field
        type:
          type: string
          enum:
            - checkbox
            - radio
            - checkbox-grid
            - checkbox-color
            - range
            - hierarchical
          title: Type
        op:
          type: string
          title: Op
        position_priority:
          type: integer
          title: Position Priority
        options:
          anyOf:
            - items:
                $ref: '#/components/schemas/FilterValueOption'
              type: array
            - $ref: '#/components/schemas/RangeFilterBounds'
          title: Options
      type: object
      required:
        - id
        - title
        - field
        - type
        - op
        - position_priority
        - options
      title: DynamicAvailableFilter
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FilterValueOption:
      properties:
        value:
          type: string
          title: Value
        label:
          type: string
          title: Label
        count:
          type: integer
          title: Count
        swatch:
          anyOf:
            - type: string
            - type: 'null'
          title: Swatch
        children:
          items:
            $ref: '#/components/schemas/FilterValueOption'
          type: array
          title: Children
          default: []
        selected:
          type: boolean
          title: Selected
          default: false
      type: object
      required:
        - value
        - label
        - count
      title: FilterValueOption
    RangeFilterBounds:
      properties:
        min_value:
          type: number
          title: Min Value
        max_value:
          type: number
          title: Max Value
        selected_min:
          anyOf:
            - type: number
            - type: 'null'
          title: Selected Min
        selected_max:
          anyOf:
            - type: number
            - type: 'null'
          title: Selected Max
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
      type: object
      required:
        - min_value
        - max_value
      title: RangeFilterBounds
  securitySchemes:
    Auth0:
      type: oauth2
      flows:
        authorizationCode:
          scopes:
            openid: OpenID Connect
            profile: User profile
            email: User email
          authorizationUrl: https://depictai.eu.auth0.com/oauth/authorize
          tokenUrl: https://depictai.eu.auth0.com/oauth/token
      x-tokenName: id_token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.